LPCOpen Platform for LPC18XX/43XX microcontrollers: AES_API_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
AES_API_T Struct Reference
CHIP: LPC18xx_43xx ROM API declarations and functions

## Detailed Description

LPC18XX_43XX AES API structure.

Definition at line 70 of file romapi_18xx_43xx.h.

`#include "romapi_18xx_43xx.h"`

## Data Fields
uint32_t(* | Init )(void)
uint32_t(* | SetMode )(uint32_t mode)
uint32_t(* | LoadKey1 )(void)
uint32_t(* | LoadKey2 )(void)
uint32_t(* | LoadKeyRNG )(void)
uint32_t(* | LoadKeySW )(uint8_t *pKey)
uint32_t(* | LoadIV_SW )(uint8_t *pVector)
uint32_t(* | LoadIV_IC )(void)
uint32_t(* | Operate )(uint8_t *pOutput, uint8_t *pInput, uint32_t size)
uint32_t(* | ProgramKey1 )(uint8_t *pKey)
uint32_t(* | ProgramKey2 )(uint8_t *pKey)

## Field Documentation

uint32_t(* Init)(void)

Definition at line 71 of file romapi_18xx_43xx.h.

uint32_t(* LoadIV_IC)(void)

Definition at line 78 of file romapi_18xx_43xx.h.

uint32_t(* LoadIV_SW)(uint8_t *pVector)

Definition at line 77 of file romapi_18xx_43xx.h.

uint32_t(* LoadKey1)(void)

Definition at line 73 of file romapi_18xx_43xx.h.

uint32_t(* LoadKey2)(void)

Definition at line 74 of file romapi_18xx_43xx.h.

uint32_t(* LoadKeyRNG)(void)

Definition at line 75 of file romapi_18xx_43xx.h.

uint32_t(* LoadKeySW)(uint8_t *pKey)

Definition at line 76 of file romapi_18xx_43xx.h.

uint32_t(* Operate)(uint8_t *pOutput, uint8_t *pInput, uint32_t size)

Definition at line 79 of file romapi_18xx_43xx.h.

uint32_t(* ProgramKey1)(uint8_t *pKey)

Definition at line 80 of file romapi_18xx_43xx.h.

uint32_t(* ProgramKey2)(uint8_t *pKey)

Definition at line 81 of file romapi_18xx_43xx.h.

uint32_t(* SetMode)(uint32_t mode)

Definition at line 72 of file romapi_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/romapi_18xx_43xx.h